Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.sagapi
Class SAGConstants.C_Sw_DigestRef_SNL_Processable

    java.lang.Object
      com.stc.connector.sagadapter.sagapi.SAGConstants.C_Sw_DigestRef_SNL_Processable

Enclosing class:
  SAGConstants

    public static class SAGConstants.C_Sw_DigestRef_SNL_Processable

extends java.lang.Object

Constants for Sw_DigestRef for SWIFTNet Link Processable References

Version:
  cvs revision: $Revision: 1.5 $ Last Modified: $Date: 2007/07/06 23:52:30 $
Author:
  Harry Liu (harry.liu@sun.com)

Constructor Summary
`SAGConstants.C_Sw_DigestRef_SNL_Processable()`

Method Summary
`static java.lang.String` | `getE2S()` Gets the SWIFTNet Link Processable References - Sw.E2S
`static java.lang.String` | `getNRS()` Gets the SWIFTNet Link Processable References - Sw.NRS
`static java.lang.String` | `getRequestHeader()` Gets the SWIFTNet Link Processable References - Sw.RequestHeader
`static java.lang.String` | `getRequestHeaderAndRequestPayload()` Gets the SWIFTNet Link Processable References - Sw.RequestHeader and RequestPayload
`static java.lang.String` | `getRequestPayload()` Gets the SWIFTNet Link Processable References - Sw.RequestPayload
`static java.lang.String` | `getResponseHeader()` Gets the SWIFTNet Link Processable References - Sw.ResponseHeader
`static java.lang.String` | `getResponseHeaderAndResponsePayload()` Gets the SWIFTNet Link Processable References - Sw.ResponseHeader and ResponsePayload
`static java.lang.String` | `getResponsePayload()` Gets the SWIFTNet Link Processable References - Sw.ResponsePayload
`static boolean` | `hasValue(java.lang.String value)` Checks whether the constant category has/contains the specified value.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAGConstants.C_Sw_DigestRef_SNL_Processable

    public SAGConstants.C_Sw_DigestRef_SNL_Processable()

Method Detail

### getRequestPayload

    public static final java.lang.String getRequestPayload()

  Gets the SWIFTNet Link Processable References - Sw.RequestPayload

  Parameters:
    None.

  Returns:
    `String` - Returns SNL_DIGEST_REF_REQUESTPAYLOAD.
  Throws:
    None.

### getRequestHeader

    public static final java.lang.String getRequestHeader()

  Gets the SWIFTNet Link Processable References - Sw.RequestHeader

  Parameters:
    None.

  Returns:
    `String` - Returns SNL_DIGEST_REF_REQUESTHEADER.
  Throws:
    None.

### getRequestHeaderAndRequestPayload

    public static final java.lang.String getRequestHeaderAndRequestPayload()

  Gets the SWIFTNet Link Processable References - Sw.RequestHeader and RequestPayload

  Parameters:
    None.

  Returns:
    `String` - Returns SNL_DIGEST_REF_REQUESTHEADER_AND_REQUESTPAYLOAD.
  Throws:
    None.

### getResponsePayload

    public static final java.lang.String getResponsePayload()

  Gets the SWIFTNet Link Processable References - Sw.ResponsePayload

  Parameters:
    None.

  Returns:
    `String` - Returns SNL_DIGEST_REF_RESPONSEPAYLOAD.
  Throws:
    None.

### getResponseHeader

    public static final java.lang.String getResponseHeader()

  Gets the SWIFTNet Link Processable References - Sw.ResponseHeader

  Parameters:
    None.

  Returns:
    `String` - Returns SNL_DIGEST_REF_RESPONSEHEADER.
  Throws:
    None.

### getResponseHeaderAndResponsePayload

    public static final java.lang.String getResponseHeaderAndResponsePayload()

  Gets the SWIFTNet Link Processable References - Sw.ResponseHeader and ResponsePayload

  Parameters:
    None.

  Returns:
    `String` - Returns SNL_DIGEST_REF_RESPONSEHEADER_AND_RESPONSEPAYLOAD.
  Throws:
    None.

### getNRS

    public static final java.lang.String getNRS()

  Gets the SWIFTNet Link Processable References - Sw.NRS

  Parameters:
    None.

  Returns:
    `String` - Returns SNL_DIGEST_REF_NRS.
  Throws:
    None.

### getE2S

    public static final java.lang.String getE2S()

  Gets the SWIFTNet Link Processable References - Sw.E2S

  Parameters:
    None.

  Returns:
    `String` - Returns SNL_DIGEST_REF_E2S.
  Throws:
    None.

### hasValue

    public static final boolean hasValue(java.lang.String value)

  Checks whether the constant category has/contains the specified value.

  Parameters:
    `value` - The value to be checked.
  Returns:
    true or false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.